API references
Search documentation... ⌘K
API references
Merchant API

Forget card

Forget (soft delete) a card from a contact. The card will be marked as deleted but the record will be preserved for audit purposes.

Cards include a deletable attribute that indicates whether the card can be deleted. The frontend should check this attribute before attempting to delete a card. If a card cannot be deleted, set another card as the default using the set-default-card endpoint, which will update the deletable attribute accordingly.

The endpoint returns true when the card is successfully forgotten.

Endpoint signature
This endpoint requires an API key. Read our authentication guide for more information.
POST https://api.reservepay.com/merchants/forget-card HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>
{
contact_id: string,
card_id: string,
}
Returns: boolean
New to Reservepay? Read our guide on how to call endpoints to get started.
Request arguments
contact_id string

Required. The contact ID (either internal UID or external ID) that owns the card.

card_id string

Required. The card ID (either internal UID starting with 'crd_' or your external ID) to forget. The card must belong to the contact.

Errors specific to this endpoint
NOT_FOUND

No contact found with the provided contactid, or the card with the provided cardid does not exist or does not belong to the contact.

INVALID_OPERATION

Cannot delete primary card when contact has multiple cards. Set another card as primary first.

Errors common to all endpoints
UNHANDLED_ERROR

This error occurs when the server encounters an unexpected internal error that it cannot handle gracefully. This typically happens due to bugs, infrastructure issues, or edge cases that weren't anticipated during development.

INVALID_ARGUMENTS

This error occurs when the request contains invalid or missing parameters. Common cases include missing required fields, or values that don't match the expected format or type.

BAD_VERSION

This error occurs when making requests to an API version that does not exist. This commonly happens when using an outdated SDK or when the API version specified in the request URL is incorrect.

CODE SAMPLES
curl
Learn how to run these code samples in your terminal by reading our guide.